package model

import "iot_manager_service/app/system/dao"

type UserDetail struct {
	dao.User
	TenantName string `json:"tenantName"` //租户名
	RoleName   string `json:"roleName"`   //角色名
	DeptName   string `json:"deptName"`   //部门名
	PostName   string `json:"postName"`   //岗位名
	SexName    string `json:"sexName"`    //性别
}

type RsqUserList struct {
	Records []UserDetail `json:"records"` //记录列表
	Current int          `json:"current"` //当前分页
	Size    int          `json:"size"`    //每页数量
	Pages   int          `json:"pages"`   //总页数
	Total   int          `json:"total"`   //总数
}
