package service

import (
	"iot_manager_service/app/system/dao"
)

// 租户管理服务
var TenantService = new(tenantService)

type tenantService struct{}

func (s *tenantService) GetTenantByPasskey(passKey string) (*dao.Tenant, error) {
	tenant := &dao.Tenant{
		TenantId: passKey,
	}
	err := tenant.GetTenantByPasskey()
	if err != nil {
		return nil, err
	}
	return tenant, nil
}

func (s *tenantService) GetOne(tenantId string) (*dao.Tenant, error) {
	tenant := &dao.Tenant{
		TenantId: tenantId,
	}
	err := tenant.GetTenant()
	if err != nil {
		return nil, err
	}
	return tenant, nil
}
